/*
 *
 * Perforce/JBuilder Opentool
 * Copyright (C) 2001 David Freels
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation;
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package com.dafreels.opentools.actions;

//JBuilder
import com.borland.primetime.*;
import com.borland.primetime.actions.*;
import com.borland.primetime.node.*;
import com.borland.jbuilder.*;
import com.borland.primetime.ide.*;

//Java
import javax.swing.*;
import java.awt.event.*;
import java.awt.Cursor;

//JBuilder OT
import com.dafreels.opentools.*;
import com.dafreels.opentools.properties.*;

//Perforce VCS
import com.dafreels.vcs.command.*;
import com.dafreels.vcs.util.ExtensionRegistry;
import com.dafreels.vcs.util.ActionImages;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      DF Systems
 * @author David Freels
 * @version 1.0
 */

public class DeleteAction extends PerforceAction
{

	public DeleteAction(boolean onFileTabMenu)
	{
		super("Delete","Open file(s) for delete",ActionImages.P4_DELETE, onFileTabMenu);
	}

	public void actionPerformed(Browser browser)
	{
		//Get a list of the selected nodes
		com.dafreels.vcs.command.Command cmd =
			new com.dafreels.vcs.command.Command(com.dafreels.vcs.command.Command.DELETE);
		Node[] nodes = getSelectedNodes(browser, cmd);
		/*
		String tempFileName = "";
		if ( m_onFileTabMenu )
		{

		}
		else
		{

			nodes = browser.getProjectView().getSelectedNodes(browser.getActiveProject());

			//StringBuffer sb = new StringBuffer("delete ");

			for(int i = 0; i < nodes.length; i++)
			{
				tempFileName = ((FileNode)nodes[i]).getLongDisplayName();
				if(m_reg.validateFile(tempFileName))
				{
					sb.append(tempFileName+" ");
				}
			}
		}
		*/
		if ( cmd.getPathCount() == 0 )
		{
			return;
		}
		runCommand(browser, cmd);
		/*
		//Run the command
		CommandTool.runCommand(sb.toString(), Main.m_props);

		//Output the p4 messages
		MessageWriter.outputErrorMessages(MessageFormatter.getInstance());
		if ( Main.m_props.showOutput())
		{
			MessageWriter.outputMessages(MessageFormatter.getInstance());
		}
		*/
		//Force JBuilder to check the file status
		if ( nodes != null )
		{
			Main.refreshNodes(nodes);
		}
	}
}